Bug 14059 - Bug in the stats package
Bug in the stats package
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Analyses
old
All Linux
: P5 normal
Assigned To: Jitterbug compatibility account
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-11 22:10 UTC by Jitterbug compatibility account
Modified: 2009-11-11 22:10 UTC (History)
0 users

See Also:


Attachments
(7.64 KB, text/plain)
2009-11-11 22:10 UTC, Jitterbug compatibility account
Details
(606 bytes, text/plain)
2009-11-11 22:10 UTC, Jitterbug compatibility account
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2009-11-11 22:10:18 UTC
From: Jitao Zhang <j.zhang@dkfz-heidelberg.de>
PARTS: 3
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello dear Maintainer,

  I report a bug (or at least a weak point needing documentation)
located in the nls.c file of the stats package.
($BASE/src/library/stats/src/nls.c, svn version 50393)

  They lie in the line 120 and 129, where the msgbuf char array is set
to the size limit of 70. Intriguingly in case of long formulaes
overriding this limit, the R session will crash complaining buffer
overflow detected (see the attachment session_crash_report). After
changing the array size to 255 (see the patch.nls file), the error is
avoided. I suggest either documentating the size limit of the formulae,
or to enlarge the array.

  Best wishes,
Jitao David Zhang

Attached: R.version
               _

platform       i686-pc-linux-gnu

arch           i686

os             linux-gnu

system         i686, linux-gnu

status         Under development (unstable)

major          2

minor          11.0

year           2009

month          11

day            06

svn rev        50320

language       R

version.string R version 2.11.0 Under development (unstable) (2009-11-06
r50320)



- --
THINK BEFORE YOU PRINT: DO OUR ENVIRONMENT GOOD

Jitao David Zhang
Computational Biology/Bioinformatics Ph.D. Candidate
Division of Molecular Genome Analysis, DKFZ
Im Neuenheimer Feld 580,
Heidelberg D-69120
Germany

Tel: 49-(0)6221-424711
Calendar:
http://www.google.com/calendar/embed?src=38m77vcknecr59sbpdj0vofndo%40group.calendar.google.com

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkr64ekACgkQb+FFFSdYGiDF8ACeJJ65MQwpnd1cmjaN8aXkF7u2
ckYAn1sehdgXrxLl9gpeiNRpPlaykB2S
=VRCh
-----END PGP SIGNATURE-----

(Attached 'session_crash_report' of type 'text/plain')

(Attached 'patch.nls' of type 'text/plain')

**END
Comment 1 Jitterbug compatibility account 2009-11-11 22:10:18 UTC
Created attachment 944 [details]
Comment 2 Jitterbug compatibility account 2009-11-11 22:10:18 UTC
Created attachment 945 [details]
Comment 3 Jitterbug compatibility account 2009-11-16 01:10:00 UTC
NOTES:
 changed to use snprintf in 2.10.0 patched
Comment 4 Jitterbug compatibility account 2009-11-16 01:10:34 UTC
Audit (from Jitterbug):
Sun Nov 15 19:10:34 2009	ripley	changed notes
Sun Nov 15 19:10:34 2009	ripley	moved from incoming to Analyses-fixed